Unable to install i386 and amd64 arch at the same time

Bug #1772512 reported by Maciej Jesionowski on 2018-05-21
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
libxkbcommon (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen

Bug Description

[Impact]
libxkbcommon-dev:i386/amd64 can't be installed at the same time, because the package isn't properly multi-archified in bionic

[Test case]
apt install libxkbcommon-dev:i386 libxkbcommon-dev:amd64

should succeed

[Regression potential]
not really

--

Not sure if this is intended, but it's not possible to install two architectures of the libxkbcommon-dev at the same time. On Ubuntu 16.04 and 18.04 apt-get says that they are in conflict.

The package is a dependency for libegl1-mesa-dev, which I need to have installed in 64 and 32-bit variants.

Please see the example output below:

$ lsb_release --all
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 18.04 LTS
Release: 18.04
Codename: bionic

$ sudo apt-get install libxkbcommon-dev:*
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libxkbcommon-dev : Conflicts: libxkbcommon-dev:i386 but 0.8.0-1 is to be installed
 libxkbcommon-dev:i386 : Conflicts: libxkbcommon-dev but 0.8.0-1 is to be installed
E: Unable to correct problems, you have held broken packages.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libxkbcommon - 0.8.0-2

---------------
libxkbcommon (0.8.0-2) unstable; urgency=medium

  * control: Mark -dev packages M-A: same. (LP: #1772512)
  * Split documentation from -dev to -doc. (Closes: #893855)
  * rules: Purge doxygen .md5 files.

 -- Timo Aaltonen <email address hidden> Thu, 24 May 2018 16:59:28 +0300

Changed in libxkbcommon (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in libxkbcommon (Ubuntu Bionic):
status: New → Confirmed
Timo Aaltonen (tjaalton) on 2018-09-27
description: updated
Changed in libxkbcommon (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
status: Confirmed → New
Timo Aaltonen (tjaalton) on 2018-09-27
Changed in libxkbcommon (Ubuntu Bionic):
status: New → In Progress

An upload of libxkbcommon to bionic-proposed has been rejected from the upload queue for the following reason: "Please use the security pocket/process or else explain why this is using the SRU process over the security process in the SRU information provided in the bug.".

ugemkow (ulrich-gemkow) wrote :

Is there any progress? This bug (and #1784135) prevents Bionic to be usable even for simple multi-arch development work because important dev-libs can not be installed.

Timo Aaltonen (tjaalton) wrote :

There was another upload with just security fixes which conflicted with the backport, but this is all sorted now and the backport is now on the queue and should be processed reviewed soon.

Hello Maciej, or anyone else affected,

Accepted libxkbcommon into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libxkbcommon/0.8.2-1~ubuntu18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in libxkbcommon (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-bionic
Maciej Jesionowski (yavn) wrote :

Hi. It's probably me, but I can't find this proposed package. apt list --upgradeable lists only libxkbcommon0/bionic-proposed, but I can't install even that with apt install libxkbcommon0/bionic-proposed. It says the release 'bionic-proposed' doesn't exist for this package. The package libxkbcommon-dev is not visible at all.

Anyway, the problem isn't as severe for me now as it seems libgl1-mesa-dev no longer depends on libxkbcommon-dev (in 18.04 at least) which was what I really wanted to get installed.

Timo Aaltonen (tjaalton) wrote :

use another method to install, it's there

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers